Create New Page Attribute

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/dynamic_attributes

List of Valid Page Dynamic Attributes

  • To find out what elements have dynamic attributes and what values are accepted, take a look here.
  • Headers

    • Authorization string

      e.g. Bearer {access_token}

    Path parameters

    • profile_id string Required

      id of the profile

    • page_id number Required

      id of the page

    application/json

    Body

    • attribute_name: `map_priority` string Required
    • value string Required

      value validation (ie. string or boolean) could change based on specific page dynamic attribute.

    Responses

    • 201 application/json

      Created

      Hide response attribute Show response attribute object
      • attribute_name: `map_priority` string Required

        created page dynamic attribute

    POST /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
    curl \
     --request POST 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/dynamic_attributes' \
     --header "Content-Type: application/json" \
     --header "Authorization: Bearer {access_token}" \
     --data '{
      "attribute_name": "map_priority",
      "value": "my_element"
    }'
    Request examples
    {
      "attribute_name": "map_priority",
      "value": "my_element"
    }
    [
      {
        "attribute_name": "map_priority",
        "value": "my_element"
      },
      {
        "attribute_name": "map_top_location_disable",
        "value": true
      }
    ]
    Response examples (201)
    {
      "attribute_name": "map_priority"
    }
    [
      {
        "attribute_name": "map_priority"
      },
      {
        "attribute_name": "map_top_location_disable"
      }
    ]